Pycharm中ui转化.py出现错误,求解决

转化报以下错误:
Error in input file: not well-formed (invalid token): line 1, column 1

配置环境为python3+PyQt6+Pycharm
配置PyUIC

Name:PyUIC
Programs:D:\python\python.exe
Parameters:-m PyQt5.uic.pyuic $FileName$ -o $FileNameWithoutExtension$.py
Working directory:E:\python\test(指定的目录)

qq_36560818
q761259046 把-m换成-o试一下
8 个月之前 回复

1个回答

试下能不能在cmd上pyuic5 -o ui.py untitled.ui,如果也是出错,应该是环境配置有问题,重新设置下

weixin_39416561
lyhsdy 回复mengyuelby: https://blog.csdn.net/ling_mochen/article/details/79314118 第二点第4小点
大约一年之前 回复
mengyuelby
mengyuelby 如何环境环境配置有问题该怎么设置?
大约一年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
pycharm无法正常把.py打包为.exe文件
![图片说明](https://img-ask.csdn.net/upload/202002/10/1581314950_20345.png) 在pycharm的terminal环境中无法打包为exe文件,已安装pyinstaller包
pycharm运行mnist_show.py出现如下问题,
# 这是深度学习入门这本书里的一段代码,请问这个问题是什么意思以及怎样解决? 报错如下:(下面有源代码)Python 3.7.3 (default, Mar 27 2019, 17:13:21) [MSC v.1915 64 bit (AMD64)] on win32 runfile('E:/PycharmProjects/deep-learning-from-scratch-master/ch03/mnist_show.py', wdir='E:/PycharmProjects/deep-learning-from-scratch-master/ch03') Converting train-images-idx3-ubyte.gz to NumPy Array ... Traceback (most recent call last): File "D:\Anaconda3\lib\site-packages\IPython\core\interactiveshell.py", line 3296, in run_code exec(code_obj, self.user_global_ns, self.user_ns) File "<ipython-input-2-eab209ee1d7f>", line 1, in <module> runfile('E:/PycharmProjects/deep-learning-from-scratch-master/ch03/mnist_show.py', wdir='E:/PycharmProjects/deep-learning-from-scratch-master/ch03') File "D:\Program Files\JetBrains\PyCharm 2019.1.1\helpers\pydev\_pydev_bundle\pydev_umd.py", line 197, in runfile pydev_imports.execfile(filename, global_vars, local_vars) # execute the script File "D:\Program Files\JetBrains\PyCharm 2019.1.1\helpers\pydev\_pydev_imps\_pydev_execfile.py", line 18, in execfile exec(compile(contents+"\n", file, 'exec'), glob, loc) File "E:/PycharmProjects/deep-learning-from-scratch-master/ch03/mnist_show.py", line 13, in <module> (x_train, t_train), (x_test, t_test) = load_mnist(flatten=True, normalize=False) File "E:\PycharmProjects\deep-learning-from-scratch-master\dataset\mnist.py", line 106, in load_mnist init_mnist() File "E:\PycharmProjects\deep-learning-from-scratch-master\dataset\mnist.py", line 76, in init_mnist dataset = _convert_numpy() 源代码为:# coding: utf-8 mnist_show.py:::: import sys, os sys.path.append(os.pardir) # 为了导入父目录的文件而进行的设定 import numpy as np from dataset.mnist import load_mnist from PIL import Image def img_show(img): pil_img = Image.fromarray(np.uint8(img)) pil_img.show() (x_train, t_train), (x_test, t_test) = load_mnist(flatten=True, normalize=False) img = x_train[0] label = t_train[0] print(label) # 5 print(img.shape) # (784,) img = img.reshape(28, 28) # 把图像的形状变为原来的尺寸 print(img.shape) # (28, 28) img_show(img) mnist.py::: # coding: utf-8 try: import urllib.request except ImportError: raise ImportError('You should use Python 3.x') import os.path import gzip import pickle import os import numpy as np url_base = 'http://yann.lecun.com/exdb/mnist/' key_file = { 'train_img':'train-images-idx3-ubyte.gz', 'train_label':'train-labels-idx1-ubyte.gz', 'test_img':'t10k-images-idx3-ubyte.gz', 'test_label':'t10k-labels-idx1-ubyte.gz' } dataset_dir = os.path.dirname(os.path.abspath(__file__)) save_file = dataset_dir + "/mnist.pkl" train_num = 60000 test_num = 10000 img_dim = (1, 28, 28) img_size = 784 def _download(file_name): file_path = dataset_dir + "/" + file_name if os.path.exists(file_path): return print("Downloading " + file_name + " ... ") urllib.request.urlretrieve(url_base + file_name, file_path) print("Done") def download_mnist(): for v in key_file.values(): _download(v) def _load_label(file_name): file_path = dataset_dir + "/" + file_name print("Converting " + file_name + " to NumPy Array ...") with gzip.open(file_path, 'rb') as f: labels = np.frombuffer(f.read(), np.uint8, offset=8) print("Done") return labels def _load_img(file_name): file_path = dataset_dir + "/" + file_name print("Converting " + file_name + " to NumPy Array ...") with gzip.open(file_path, 'rb') as f: data = np.frombuffer(f.read(), np.uint8, offset=16) data = data.reshape(-1, img_size) print("Done") return data def _convert_numpy(): dataset = {} dataset['train_img'] = _load_img(key_file['train_img']) dataset['train_label'] = _load_label(key_file['train_label']) dataset['test_img'] = _load_img(key_file['test_img']) dataset['test_label'] = _load_label(key_file['test_label']) return dataset def init_mnist(): download_mnist() dataset = _convert_numpy() print("Creating pickle file ...") with open(save_file, 'wb') as f: pickle.dump(dataset, f, -1) print("Done!") def _change_one_hot_label(X): T = np.zeros((X.size, 10)) for idx, row in enumerate(T): row[X[idx]] = 1 return T def load_mnist(normalize=True, flatten=True, one_hot_label=False): """读入MNIST数据集 Parameters ---------- normalize : 将图像的像素值正规化为0.0~1.0 one_hot_label : one_hot_label为True的情况下,标签作为one-hot数组返回 one-hot数组是指[0,0,1,0,0,0,0,0,0,0]这样的数组 flatten : 是否将图像展开为一维数组 Returns ------- (训练图像, 训练标签), (测试图像, 测试标签) """ if not os.path.exists(save_file): init_mnist() with open(save_file, 'rb') as f: dataset = pickle.load(f) if normalize: for key in ('train_img', 'test_img'): dataset[key] = dataset[key].astype(np.float32) dataset[key] /= 255.0 if one_hot_label: dataset['train_label'] = _change_one_hot_label(dataset['train_label']) dataset['test_label'] = _change_one_hot_label(dataset['test_label']) if not flatten: for key in ('train_img', 'test_img'): dataset[key] = dataset[key].reshape(-1, 1, 28, 28) return (dataset['train_img'], dataset['train_label']), (dataset['test_img'], dataset['test_label']) if __name__ == '__main__': init_mnist()
使用pyCharm调试出错,python版本为2.3.5,求大神帮忙
E:\Python23\python.exe "E:\PyCharm 3.4.1\helpers\pydev\pydevd.py" --multiproc --client 127.0.0.1 --port 18039 --file D:/project/python/vignette/arrayImage.py Traceback (most recent call last): File "E:\PyCharm 3.4.1\helpers\pydev\pydevd.py", line 4, in ? from django_debug import DjangoLineBreakpoint File "E:\PyCharm 3.4.1\helpers\pydev\django_debug.py", line 3, in ? from pydevd_comm import CMD_SET_BREAK File "E:\PyCharm 3.4.1\helpers\pydev\pydevd_comm.py", line 89, in ? from socket import SHUT_RD, SHUT_WR ImportError: cannot import name SHUT_RD
关于pycharm 调试python时抛出非自身程序异常
直接运行2个print语句,顺利打印,但是一断点就报错" D:\Code Path\Python\python.exe" "D:\Code Path\PyCharm Community Edition 2017.2\helpers\pydev\pydevd.py" --multiproc --qt-support=auto --client 127.0.0.1 --port 51337 --file D:/Pyworkpace/test.py pydev debugger: process 5864 is connecting Connected to pydev debugger (build 172.3544.44) Traceback (most recent call last): File "D:\Code Path\PyCharm Community Edition 2017.2\helpers\pydev\pydevd.py", line 1599, in <module> globals = debugger.run(setup['file'], None, None, is_module) File "D:\Code Path\PyCharm Community Edition 2017.2\helpers\pydev\pydevd.py", line 1002, in run self.prepare_to_run() File "D:\Code Path\PyCharm Community Edition 2017.2\helpers\pydev\pydevd.py", line 905, in prepare_to_run self.patch_threads() File "D:\Code Path\PyCharm Community Edition 2017.2\helpers\pydev\pydevd.py", line 926, in patch_threads patch_thread_modules() File "D:\Code Path\PyCharm Community Edition 2017.2\helpers\pydev\_pydev_bundle\pydev_monkey.py", line 656, in patch_thread_modules patch_thread_module(t) File "D:\Code Path\PyCharm Community Edition 2017.2\helpers\pydev\_pydev_bundle\pydev_monkey.py", line 622, in patch_thread_module _original_start_new_thread = thread._original_start_new_thread = thread.start_new_thread AttributeError: module 'thread' has no attribute 'start_new_thread' 重新下了几次pycharm也不行,用的是Anaconda的python3.6
pycharm Django setting.py文件配置问题
INSTALLED_APPS = [ 'django.contrib.admin', 'django.contrib.auth', 'django.contrib.contenttypes', 'django.contrib.sessions', 'django.contrib.messages', 'django.contrib.staticfiles', # 'app1.apps.App1Config', 'app1', ] 注:最后一行本没有,我自己加上的。本来有加注释的这行(让我注释掉了)。 以上代码,我看别的教程是没有我加注释这行的,而我自己用pycharm建的Django项目 有加注释的这行。所有教程都说让我加上最后一行,而没有提注释这行,新手表示注释这行很奇怪啊,请问大神这行是干什么的??
如何解决ImportError: DLL load failed: The specified procedure could not be found
C:\Users\Dell\Anaconda3\python.exe "C:\Program Files\JetBrains\PyCharm Community Edition 2018.3.2\helpers\pydev\pydevconsole.py" --mode=client --port=64760 Traceback (most recent call last): File "C:\Program Files\JetBrains\PyCharm Community Edition 2018.3.2\helpers\pydev\pydevconsole.py", line 5, in <module> from _pydev_comm.rpc import make_rpc_client, start_rpc_server, start_rpc_server_and_make_client File "C:\Program Files\JetBrains\PyCharm Community Edition 2018.3.2\helpers\pydev\_pydev_comm\rpc.py", line 4, in <module> from _pydev_comm.server import TSingleThreadedServer File "C:\Program Files\JetBrains\PyCharm Community Edition 2018.3.2\helpers\pydev\_pydev_comm\server.py", line 4, in <module> from _shaded_thriftpy.server import TServer File "C:\Program Files\JetBrains\PyCharm Community Edition 2018.3.2\helpers\third_party\thriftpy\_shaded_thriftpy\server.py", line 9, in <module> from _shaded_thriftpy.transport import ( File "C:\Program Files\JetBrains\PyCharm Community Edition 2018.3.2\helpers\third_party\thriftpy\_shaded_thriftpy\transport\__init__.py", line 57, in <module> from .sslsocket import TSSLSocket, TSSLServerSocket # noqa File "C:\Program Files\JetBrains\PyCharm Community Edition 2018.3.2\helpers\third_party\thriftpy\_shaded_thriftpy\transport\sslsocket.py", line 7, in <module> import ssl File "C:\Users\Dell\Anaconda3\lib\ssl.py", line 98, in <module> import _ssl # if we can't import it, let the error propagate ImportError: DLL load failed: The specified procedure could not be found. Process finished with exit code 1
mac下pycharm配置Python3.4解释器显示unsupported,提示不支持,请大家帮忙看一下,谢谢
在mac下配置pycharm的解释器的时候,默认只有2.7,添加3.4的时候,一直显示unsupported python3的路径,使用pyenv install 3.4.9命令安装的: ![图片说明](https://img-ask.csdn.net/upload/201911/28/1574911664_108131.png) 这是添加解释器的时候,pycharm显示不支持: ![图片说明](https://img-ask.csdn.net/upload/201911/28/1574911755_431329.jpg) 这是解释器后的列表: ![图片说明](https://img-ask.csdn.net/upload/201911/28/1574911822_495239.png) 各位请帮忙看看,拜托大家了
手写体识别激活总是报错是因为什么?
报错信息: D:\Python\anaconda\Anaconda3\python.exe "D:\Python\pycharm\PyCharm 2018.1.3\helpers\pydev\pydev_run_in_console.py" 57587 57588 D:/untitled/MNIST.py D:\Python\anaconda\Anaconda3\lib\site-packages\IPython\core\history.py:226: UserWarning: IPython History requires SQLite, your history will not be saved warn("IPython History requires SQLite, your history will not be saved") Running D:/untitled/MNIST.py Traceback (most recent call last): File "D:\Python\pycharm\PyCharm 2018.1.3\helpers\pydev\pydev_run_in_console.py", line 52, in run_file pydev_imports.execfile(file, globals, locals) # execute the script File "D:\Python\pycharm\PyCharm 2018.1.3\helpers\pydev\_pydev_imps\_pydev_execfile.py", line 18, in execfile exec(compile(contents+"\n", file, 'exec'), glob, loc) File "D:/untitled/MNIST.py", line 3, in <module> from tensorflow.examples.tutorials.mnist import input_data File "D:\Python\pycharm\PyCharm 2018.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 19, in do_import module = self._system_import(name, *args, **kwargs) ModuleNotFoundError: No module named 'tensorflow' import sys; print('Python %s on %s' % (sys.version, sys.platform)) sys.path.extend(['D:\\untitled', 'D:/untitled']) Python 3.7.1 (default, Dec 10 2018, 22:54:23) [MSC v.1915 64 bit (AMD64)] Type 'copyright', 'credits' or 'license' for more information IPython 7.2.0 -- An enhanced Interactive Python. Type '?' for help. PyDev console: using IPython 7.2.0 Python 3.7.1 (default, Dec 10 2018, 22:54:23) [MSC v.1915 64 bit (AMD64)] on win32
运行pycharm时出现Miss SKV.dll file错误,请问怎么解决,谢谢。
运行pycharm时遇到Missing skv.dll file. Make sure that you build the SKV library first.问题一直解决不了。有人知道怎么解决吗?谢谢。
pycharm中配置qt designer,PyUIC,运行hello.ui时出现问题。
内容描述: anaconda3-4.2(python3.5) python环境 ``` C:\Users\boos\Anaconda3\python.exe ``` qtdesigner路径 ``` C:\Users\boos\Anaconda3\Lib\site-packages\pyqt5_tools\designer.exe ``` 问题描述:pycharm中配置qt designer,PyUIC,运行hello.ui时出现问题 ``` C:\Users\boos\Anaconda3\python.exe -m PyQt5.uic.pyuic one.ui -o one.py Traceback (most recent call last): File "C:\Users\boos\Anaconda3\lib\runpy.py", line 184, in _run_module_as_main "__main__", mod_spec) File "C:\Users\boos\Anaconda3\lib\runpy.py", line 85, in _run_code exec(code, run_globals) File "C:\Users\boos\Anaconda3\lib\site-packages\PyQt5\uic\pyuic.py", line 26, in <module> from PyQt5 import QtCore ImportError: DLL load failed: 找不到指定的模块。 Process finished with exit code 1 ```
python3.0import argparse时报错
在pycharm中写了一个测试类,运行时报了如下的错误: D:\work\python\Python30\python.exe "D:\work\python\PyCharm\PyCharm Community Edition 2017.1.3\helpers\pycharm\_jb_unittest_runner.py" --path E:/py_file/untitled/test_byrrr.py Testing started at 19:40 ... Traceback (most recent call last): File "D:\work\python\PyCharm\PyCharm Community Edition 2017.1.3\helpers\pycharm\_jb_unittest_runner.py", line 10, in <module> path, targets, additional_args = jb_start_tests() File "D:\work\python\PyCharm\PyCharm Community Edition 2017.1.3\helpers\pycharm\_jb_runner_tools.py", line 374, in jb_start_tests _jb_utils.OptionDescription('--target', 'Python target to run', "append")) File "D:\work\python\PyCharm\PyCharm Community Edition 2017.1.3\helpers\pycharm\_jb_utils.py", line 124, in get_options import argparse ImportError: No module named argparse Process finished with exit code 1 贴个代码,希望有人能给解决一下: #!/usr/bin/env python #coding=utf8 class A(object): def getHa(self,string): print(string) if __name__=='__main__': a = A() a.getHa("hello.word")
pycharm上面简单的python代码运行报错怎么解决?貌似是pycharm的环境没有配置好,跪求大神指点!
各位大神好: 本人是一枚python初学者,最近在练习编码的时候用的是pycharm,同样写了一段简单的代码,就是把两个表格进行拼接合并,pandas库也进行了安装,写好之后,在pycharm上运行,一堆报错的,但是在其他程序上代码是可以正常运行的,感觉像是哪的环境没有搭配好。 自己也尝试了百度搜索答案,在pycharm里面配置了本地的python程序,可是还是不行。期望各位大神和老师有空了能给些指点!非常感谢了。 ![图片说明](https://img-ask.csdn.net/upload/201906/25/1561425967_103879.png) 代码如下: #data1和data2两个表格进行拼接合并 import pandas as pd data1 = pd.read_excel( r"C:\Users\cui\Desktop\测试\2\客户资金对帐2019601-20190619_001.xlsx", sheet_name=0, header=0, dtype='str') data2 = pd.read_excel( r"C:\Users\cui\Desktop\测试\2\客户资金对帐2019601-20190619_002.xlsx", sheet_name=0, header=0, dtype='str') data3 = pd.concat([data1, data2]) data3.to_excel(excel_writer=r"C:\Users\cui\Desktop\测试\汇总输出\huizong.xlsx") ``` ![图片说明](https://img-ask.csdn.net/upload/201906/25/1561425996_709591.png) 报错的代码如下:报错的内容比写的代码都长 Python 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:06:47) [MSC v.1914 32 bit (Intel)] on win32 runfile('C:/Users/cui/PycharmProjects/untitled/ceshi1.py', wdir='C:/Users/cui/PycharmProjects/untitled') Traceback (most recent call last): File "<input>", line 1, in <module> File "C:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_umd.py", line 197, in runfile pydev_imports.execfile(filename, global_vars, local_vars) # execute the script File "C:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_imps\_pydev_execfile.py", line 18, in execfile exec(compile(contents+"\n", file, 'exec'), glob, loc) File "C:/Users/cui/PycharmProjects/untitled/ceshi1.py", line 2, in <module> import pandas as pd File "C:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "C:\Users\cui\.virtualenvs\untitled\lib\site-packages\pandas\__init__.py", line 42, in <module> from pandas.core.api import * File "C:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "C:\Users\cui\.virtualenvs\untitled\lib\site-packages\pandas\core\api.py", line 7, in <module> from pandas.core.arrays.integer import ( File "C:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "C:\Users\cui\.virtualenvs\untitled\lib\site-packages\pandas\core\arrays\__init__.py", line 2, in <module> from .base import (ExtensionArray, # noqa File "C:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "C:\Users\cui\.virtualenvs\untitled\lib\site-packages\pandas\core\arrays\base.py", line 21, in <module> from pandas.core import ops File "C:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "C:\Users\cui\.virtualenvs\untitled\lib\site-packages\pandas\core\ops.py", line 16, in <module> from pandas._libs import algos as libalgos, lib, ops as libops ImportError: cannot import name 'ops' from 'pandas._libs' (C:\Users\cui\.virtualenvs\untitled\lib\site-packages\pandas\_libs\__init__.py) ``` ![图片说明](https://img-ask.csdn.net/upload/201906/25/1561426121_610768.png) ![图片说明](https://img-ask.csdn.net/upload/201906/25/1561426201_516230.png)
Help!python pycharm 导入urllib.request 时的问题
当我在pycharm中 使用 from urllib.request import urlopen 时 程序运行会报错 提示我 client.py 没有 email.parser 这个module,但是我在python自带的idle中,这样导入就没有问题~麻烦大神帮我看下。。因为pycharm的确太好用了。。如何帮我解决这个问题~
谁会啊,不胜感激。同时运行几个死循环的.py文件,设置pycharm允许同时运行除外,毕竟不利于用户体验。
![图片说明](https://img-ask.csdn.net/upload/201910/11/1570764654_226893.png) ``` import os lst = os.listdir(os.getcwd()) # 获取当前目录下所有的文件名 for c in lst: if os.path.isfile(c) and c.endswith('.py') and c.find("run")== -1: #判断文件名是以.py结尾的,并且去掉run.py文件 print(c) #查看文件 os.system('python {}'.format(c)) #相当于在终端执行文件 python main.py ``` 用这段代码的问题就是,第一个0.py文件运行后,因为是一个死循环的程序,所以后面的文件一直不能运行,而且后面的文件也是死循环的文件。
求助,pycharm无法安装第三方库 ,跪求大神解决。
求助,pycharm无法安装第三方库 ,跪求大神解决 本人小白一枚,自己在学习的时候,在pycharm中增加对应的第三方库,结果遇到了截图上的问题。如图所示: ![图片说明](https://img-ask.csdn.net/upload/202002/04/1580793328_256996.png) 我根据网上的方法,更新了PIP 现在的pip版本为:20.0.2,pycharm的版本是19.3.2(x64版本的) 。一直报这个问题,请各位大神看看怎么搞呀,谢谢啦~
pycharm 打开摄像头失败
# pycharm 打开摄像头失败 ## 环境 pycharm2019.2,python3.7 ,Mac OS X10.14 ```py import cv2 cap = cv2.VideoCapture(0) while True: ret, frame = cap.read() cv2.imshow("Video", frame) if cv2.waitKey(1) == 27: break cap.release() cv2.destroyAllWindows() ``` 报错 /usr/local/bin/python3.7 "/Users/pig/学习/编程练习/Pycharm/Python 2.7/cv_test/test11.py" Process finished with exit code 134 (interrupted by signal 6: SIGABRT)
windows10系统使用pycharm创建项目时报错,有大佬解释一下吗?报错如下
raceback (most recent call last): File "C:\Program Files\JetBrains\PyCharm Community Edition 2019.1.2\helpers\packaging_tool.py", line 170, in main do_pyvenv(path, system_site_packages) File "C:\Program Files\JetBrains\PyCharm Community Edition 2019.1.2\helpers\packaging_tool.py", line 88, in do_pyvenv venv.create(path, system_site_packages=system_site_packages) File "D:\Python\Anaconda3\lib\venv\__init__.py", line 363, in create builder.create(env_dir) File "D:\Python\Anaconda3\lib\venv\__init__.py", line 66, in create self.setup_python(context) File "D:\Python\Anaconda3\lib\venv\__init__.py", line 204, in setup_python copier(context.executable, path) File "D:\Python\Anaconda3\lib\venv\__init__.py", line 192, in symlink_or_copy shutil.copyfile(src, dst) File "D:\Python\Anaconda3\lib\shutil.py", line 120, in copyfile with open(src, 'rb') as fsrc: FileNotFoundError: [Errno 2] No such file or directory: 'D:\\Python\\Anaconda3\\lib\\venv\\scripts\\nt\\python.exe'
利用conda install TensorFlow-gpu在win7上conda3.7版本上安装tensorflow后,测试时出现下面的问题
在测试import TensorFlow as tf print('hello'),出现下列问题,请问这是什么原因造成的,如何改? ``` Traceback (most recent call last): File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的程序。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "D:\ProgramData\Anaconda3\lib\site-packages\IPython\core\interactiveshell.py", line 3296, in run_code exec(code_obj, self.user_global_ns, self.user_ns) File "<ipython-input-2-d1ce02c95f3b>", line 1, in <module> runfile('C:/Users/jianjiu17/Desktop/deep-learning-from-scratch-master/uittle.py', wdir='C:/Users/jianjiu17/Desktop/deep-learning-from-scratch-master') File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_umd.py", line 197, in runfile pydev_imports.execfile(filename, global_vars, local_vars) # execute the script File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_imps\_pydev_execfile.py", line 18, in execfile exec(compile(contents+"\n", file, 'exec'), glob, loc) File "C:/Users/jianjiu17/Desktop/deep-learning-from-scratch-master/uittle.py", line 1, in <module> import tensorflow as tf File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\__init__.py", line 24, in <module> from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\Program Files\JetBrains\PyCharm 2019.1.3\helpers\pydev\_pydev_bundle\pydev_import_hook.py", line 21, in do_import module = self._system_import(name, *args, **kwargs) File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的程序。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help. ```
在Selenium IED里面导出的.py文件在pycharm运行浏览器调取不了
``` # -*- coding: utf-8 -*- # Generated by Selenium IDE import pytest import time import json from selenium import webdriver #导入驱动, from selenium.webdriver.common.by import By from selenium.webdriver.common.action_chains import ActionChains from selenium.webdriver.support import expected_conditions from selenium.webdriver.support.wait import WebDriverWait from selenium.webdriver.common.keys import Keys time.sleep(5) class TestDenglu(): def setup_method(self, method): self.driver = webdriver.Chrome() self.vars = {} def teardown_method(self, method): self.driver.quit() time.sleep(5) def test_denglu(self): # Test name: denglu # Step # | name | target | value | comment # 1 | open | / | | self.driver.get("http://192.168.1.118:8083/") # 2 | setWindowSize | 945x1140 | | self.driver.set_window_size(945, 1140) time.sleep(5) # 3 | click | css=.login | | self.driver.find_element(By.CSS_SELECTOR, ".login").click() # 4 | click | css=.login-input:nth-child(3) > input | | self.driver.find_element(By.CSS_SELECTOR, ".login-input:nth-child(3) > input").click() # 5 | click | css=.login | | self.driver.find_element(By.CSS_SELECTOR, ".login").click() # 6 | click | css=.login-input:nth-child(3) > input | | self.driver.find_element(By.CSS_SELECTOR, ".login-input:nth-child(3) > input").click() # 7 | click | css=.login-button | | self.driver.find_element(By.CSS_SELECTOR, ".login-button").click() ```![图片说明](https://img-ask.csdn.net/upload/201909/27/1569567359_21132.png) 在Selenium IED里面导出的.py文件在pycharm运行浏览器调取不了
终于明白阿里百度这样的大公司,为什么面试经常拿ThreadLocal考验求职者了
点击上面↑「爱开发」关注我们每晚10点,捕获技术思考和创业资源洞察什么是ThreadLocalThreadLocal是一个本地线程副本变量工具类,各个线程都拥有一份线程私有的数
win10系统安装教程(U盘PE+UEFI安装)
一、准备工作 u盘,电脑一台,win10原版镜像(msdn官网) 二、下载wepe工具箱  极力推荐微pe(微pe官方下载) 下载64位的win10 pe,使用工具箱制作启动U盘打开软件,   选择安装到U盘(按照操作无需更改) 三、重启进入pe系统   1、关机后,将U盘插入电脑 2、按下电源后,按住F12进入启动项选择(技嘉主板是F12)     选择需要启
程序员必须掌握的核心算法有哪些?
由于我之前一直强调数据结构以及算法学习的重要性,所以就有一些读者经常问我,数据结构与算法应该要学习到哪个程度呢?,说实话,这个问题我不知道要怎么回答你,主要取决于你想学习到哪些程度,不过针对这个问题,我稍微总结一下我学过的算法知识点,以及我觉得值得学习的算法。这些算法与数据结构的学习大多数是零散的,并没有一本把他们全部覆盖的书籍。下面是我觉得值得学习的一些算法以及数据结构,当然,我也会整理一些看过
《奇巧淫技》系列-python!!每天早上八点自动发送天气预报邮件到QQ邮箱
将代码部署服务器,每日早上定时获取到天气数据,并发送到邮箱。 也可以说是一个小人工智障。 思路可以运用在不同地方,主要介绍的是思路。
Nginx 软件层面加强Nginx性能优化的面试问答和解决方案
Nginx 软件层面加强Nginx性能优化的面试问答和解决方案 去年我去爱卡汽车面试PHP,一轮和二轮面的都不错,在三轮面到Nginx的时候很多问题当时不知道怎么回答,确实没有深入学习过,花了一段时间的学习,终于能解答Nginx高性能优化的问题了,10月24号为了获得程序员勋章,发布了半个优化笔记,浏览到了1000+,受到这个鼓舞,我抽时间在仔细整理下关于Nginx性能优化的问题,我们从软件说起。...
【管理系统课程设计】美少女手把手教你后台管理
【文章后台管理系统】URL设计与建模分析+项目源码+运行界面 栏目管理、文章列表、用户管理、角色管理、权限管理模块(文章最后附有源码) 1. 这是一个什么系统? 1.1 学习后台管理系统的原因 随着时代的变迁,现如今各大云服务平台横空出世,市面上有许多如学生信息系统、图书阅读系统、停车场管理系统等的管理系统,而本人家里就有人在用烟草销售系统,直接在网上完成挑选、购买与提交收货点,方便又快捷。 试想,若没有烟草销售系统,本人家人想要购买烟草,还要独自前往药...
11月19日科技资讯|华为明日发布鸿蒙整体战略;京东宣告全面向技术转型;Kotlin 1.3.60 发布
「极客头条」—— 技术人员的新闻圈! CSDN 的读者朋友们早上好哇,「极客头条」来啦,快来看今天都有哪些值得我们技术人关注的重要新闻吧。扫描上方二维码进入 CSDN App 可以收听御姐萌妹 Style 的人工版音频哟。 一分钟速览新闻点! 6G 专家组成员:速率是 5G 的 10 至 100 倍,预计 2030 年商用 雷军:很多人多次劝我放弃WPS,能坚持下来并不是纯粹的商业决定 ...
C语言魔塔游戏
很早就很想写这个,今天终于写完了。 游戏截图: 编译环境: VS2017 游戏需要一些图片,如果有想要的或者对游戏有什么看法的可以加我的QQ 2985486630 讨论,如果暂时没有回应,可以在博客下方留言,到时候我会看到。 下面我来介绍一下游戏的主要功能和实现方式 首先是玩家的定义,使用结构体,这个名字是可以自己改变的 struct gamerole { char n
化繁为简 - 腾讯计费高一致TDXA的实践之路
导语:腾讯计费是孵化于支撑腾讯内部业务千亿级营收的互联网计费平台,在如此庞大的业务体量下,腾讯计费要支撑业务的快速增长,同时还要保证每笔交易不错账。采用最终一致性或离线补...
Python爬虫爬取淘宝,京东商品信息
小编是一个理科生,不善长说一些废话。简单介绍下原理然后直接上代码。 使用的工具(Python+pycharm2019.3+selenium+xpath+chromedriver)其中要使用pycharm也可以私聊我selenium是一个框架可以通过pip下载 pip install selenium -i https://pypi.tuna.tsinghua.edu.cn/simple/ 
Java学习笔记(七十二)—— Cookie
概述 会话技术: 会话:一次会话中包含多次请求和响应 一次会话:浏览器第一次给服务器发送资源请求,会话建立,直到有一方断开为止 功能:在一次会话的范围内的多次请求间,共享数据 方式: 客户端会话技术:Cookie,把数据存储到客户端 服务器端会话技术:Session,把数据存储到服务器端 Cookie 概念:客户端会话技术,将数据存储到客户端 快速入门: 使用步骤: 创建C
阿里程序员写了一个新手都写不出的低级bug,被骂惨了。
这种新手都不会范的错,居然被一个工作好几年的小伙子写出来,差点被当场开除了。
Java工作4年来应聘要16K最后没要,细节如下。。。
前奏: 今天2B哥和大家分享一位前几天面试的一位应聘者,工作4年26岁,统招本科。 以下就是他的简历和面试情况。 基本情况: 专业技能: 1、&nbsp;熟悉Sping了解SpringMVC、SpringBoot、Mybatis等框架、了解SpringCloud微服务 2、&nbsp;熟悉常用项目管理工具:SVN、GIT、MAVEN、Jenkins 3、&nbsp;熟悉Nginx、tomca
2020年,冯唐49岁:我给20、30岁IT职场年轻人的建议
点击“技术领导力”关注∆  每天早上8:30推送 作者| Mr.K   编辑| Emma 来源| 技术领导力(ID:jishulingdaoli) 前天的推文《冯唐:职场人35岁以后,方法论比经验重要》,收到了不少读者的反馈,觉得挺受启发。其实,冯唐写了不少关于职场方面的文章,都挺不错的。可惜大家只记住了“春风十里不如你”、“如何避免成为油腻腻的中年人”等不那么正经的文章。 本文整理了冯
程序员该看的几部电影
##1、骇客帝国(1999) 概念:在线/离线,递归,循环,矩阵等 剧情简介: 不久的将来,网络黑客尼奥对这个看似正常的现实世界产生了怀疑。 他结识了黑客崔妮蒂,并见到了黑客组织的首领墨菲斯。 墨菲斯告诉他,现实世界其实是由一个名叫“母体”的计算机人工智能系统控制,人们就像他们饲养的动物,没有自由和思想,而尼奥就是能够拯救人类的救世主。 可是,救赎之路从来都不会一帆风顺,到底哪里才是真实的世界?
作为一个程序员,CPU的这些硬核知识你必须会!
CPU对每个程序员来说,是个既熟悉又陌生的东西? 如果你只知道CPU是中央处理器的话,那可能对你并没有什么用,那么作为程序员的我们,必须要搞懂的就是CPU这家伙是如何运行的,尤其要搞懂它里面的寄存器是怎么一回事,因为这将让你从底层明白程序的运行机制。 随我一起,来好好认识下CPU这货吧 把CPU掰开来看 对于CPU来说,我们首先就要搞明白它是怎么回事,也就是它的内部构造,当然,CPU那么牛的一个东
@程序员,如何花式构建线程?
作者 |曾建责编 | 郭芮出品 | CSDN(ID:CSDNnews)在项目和业务的开发中,我们难免要经常使用线程来进行业务处理,使用线程可以保证我们的业务在相互处理之间可以保证原子性...
破14亿,Python分析我国存在哪些人口危机!
2020年1月17日,国家统计局发布了2019年国民经济报告,报告中指出我国人口突破14亿。 猪哥的朋友圈被14亿人口刷屏,但是很多人并没有看到我国复杂的人口问题:老龄化、男女比例失衡、生育率下降、人口红利下降等。 今天我们就来分析一下我们国家的人口数据吧! 一、背景 1.人口突破14亿 2020年1月17日,国家统计局发布了 2019年国民经济报告 ,报告中指出:年末中国大陆总人口(包括31个
强烈推荐10本程序员在家读的书
很遗憾,这个鼠年春节注定是刻骨铭心的,新型冠状病毒让每个人的神经都是紧绷的。那些处在武汉的白衣天使们,尤其值得我们的尊敬。而我们这些窝在家里的程序员,能不外出就不外出,就是对社会做出的最大的贡献。 有些读者私下问我,窝了几天,有点颓丧,能否推荐几本书在家里看看。我花了一天的时间,挑选了 10 本我最喜欢的书,你可以挑选感兴趣的来读一读。读书不仅可以平复恐惧的压力,还可以对未来充满希望,毕竟苦难终
Linux自学篇——linux命令英文全称及解释
man: Manual 意思是手册,可以用这个命令查询其他命令的用法。 pwd:Print working directory 显示当前目录 su:Swith user 切换用户,切换到root用户 cd:Change directory 切换目录 ls:List files 列出目录下的文件 ps:Process Status 进程状态 mk
Python实战:抓肺炎疫情实时数据,画2019-nCoV疫情地图
文章目录1. 前言2. 数据下载3. 数据处理4. 数据可视化 1. 前言 今天,群里白垩老师问如何用python画武汉肺炎疫情地图。白垩老师是研究海洋生态与地球生物的学者,国家重点实验室成员,于不惑之年学习python,实为我等学习楷模。先前我并没有关注武汉肺炎的具体数据,也没有画过类似的数据分布图。于是就拿了两个小时,专门研究了一下,遂成此文。 2月6日追记:本文发布后,腾讯的数据源多次变更u
智力题(程序员面试经典)
NO.1  有20瓶药丸,其中19瓶装有1克/粒的药丸,余下一瓶装有1.1克/粒的药丸。给你一台称重精准的天平,怎么找出比较重的那瓶药丸?天平只能用一次。 解法 有时候,严格的限制条件有可能反倒是解题的线索。在这个问题中,限制条件是天平只能用一次。 因为天平只能用一次,我们也得以知道一个有趣的事实:一次必须同时称很多药丸,其实更准确地说,是必须从19瓶拿出药丸进行称重。否则,如果跳过两瓶或更多瓶药
在家远程办公效率低?那你一定要收好这个「在家办公」神器!
相信大家都已经收到国务院延长春节假期的消息,接下来,在家远程办公可能将会持续一段时间。 但是问题来了。远程办公不是人在电脑前就当坐班了,相反,对于沟通效率,文件协作,以及信息安全都有着极高的要求。有着非常多的挑战,比如: 1在异地互相不见面的会议上,如何提高沟通效率? 2文件之间的来往反馈如何做到及时性?如何保证信息安全? 3如何规划安排每天工作,以及如何进行成果验收? ......
作为一个程序员,内存和磁盘的这些事情,你不得不知道啊!!!
截止目前,我已经分享了如下几篇文章: 一个程序在计算机中是如何运行的?超级干货!!! 作为一个程序员,CPU的这些硬核知识你必须会! 作为一个程序员,内存的这些硬核知识你必须懂! 这些知识可以说是我们之前都不太重视的基础知识,可能大家在上大学的时候都学习过了,但是嘞,当时由于老师讲解的没那么有趣,又加上这些知识本身就比较枯燥,所以嘞,大家当初几乎等于没学。 再说啦,学习这些,也看不出来有什么用啊!
2020年的1月,我辞掉了我的第一份工作
其实,这篇文章,我应该早点写的,毕竟现在已经2月份了。不过一些其它原因,或者是我的惰性、还有一些迷茫的念头,让自己迟迟没有试着写一点东西,记录下,或者说是总结下自己前3年的工作上的经历、学习的过程。 我自己知道的,在写自己的博客方面,我的文笔很一般,非技术类的文章不想去写;另外我又是一个还比较热衷于技术的人,而平常复杂一点的东西,如果想写文章写的清楚点,是需要足够...
别低估自己的直觉,也别高估自己的智商
所有群全部吵翻天,朋友圈全部沦陷,公众号疯狂转发。这两周没怎么发原创,只发新闻,可能有人注意到了。我不是懒,是文章写了却没发,因为大家的关注力始终在这次的疫情上面,发了也没人看。当然,我...
Java坑人面试题系列: 包装类(中级难度)
Java Magazine上面有一个专门坑人的面试题系列: https://blogs.oracle.com/javamagazine/quiz-2。 这些问题的设计宗旨,主要是测试面试者对Java语言的了解程度,而不是为了用弯弯绕绕的手段把面试者搞蒙。 如果你看过往期的问题,就会发现每一个都不简单。 这些试题模拟了认证考试中的一些难题。 而 “中级(intermediate)” 和 “高级(ad
Spring Boot 2.x基础教程:使用JdbcTemplate访问MySQL数据库
在第2章节中,我们介绍了如何通过Spring Boot来实现HTTP接口,以及围绕HTTP接口相关的单元测试、文档生成等实用技能。但是,这些内容还不足以帮助我们构建一个动态应用的服务端程序。不论我们是要做App、小程序、还是传统的Web站点,对于用户的信息、相关业务的内容,通常都需要对其进行存储,而不是像第2章节中那样,把用户信息存储在内存中(重启就丢了!)。 对于信息的存储,现在已经有非常非常多...
基于Python的人脸自动戴口罩系统
目录 1、项目背景 2、页面设计 3、器官识别 4、退出系统 1、项目背景 2019年新型冠状病毒感染的肺炎疫情发生以来,牵动人心,举国哀痛,口罩、酒精、消毒液奇货可居。 抢不到口罩,怎么办?作为技术人今天分享如何使用Python实现自动戴口罩系统,来安慰自己,系统效果如下所示: 本系统的实现原理是借助 Dlib模块的Landmark人脸68个关键点检测库轻松识别出人脸五官
这个世界上人真的分三六九等,你信吗?
偶然间,在知乎上看到一个问题 一时间,勾起了我深深的回忆。 以前在厂里打过两次工,做过家教,干过辅导班,做过中介。零下几度的晚上,贴过广告,满脸、满手地长冻疮。   再回首那段岁月,虽然苦,但让我学会了坚持和忍耐。让我明白了,在这个世界上,无论环境多么的恶劣,只要心存希望,星星之火,亦可燎原。   下文是原回答,希望能对你能有所启发。   如果我说,这个世界上人真的分三六九等,
相关热词 c# 识别回车 c#生成条形码ean13 c#子控制器调用父控制器 c# 写大文件 c# 浏览pdf c#获取桌面图标的句柄 c# list反射 c# 句柄 进程 c# 倒计时 线程 c# 窗体背景色
立即提问

相似问题

1
请教:odoo运行出错,KeyError: 'odoo'
2
pycharm中配置qt designer,PyUIC,运行hello.ui时出现问题。
2
如何解决ImportError: DLL load failed: The specified procedure could not be found
5
panda包导入出错 python
4
windows下Django运行python manage.py runserver时报错LookupError: No installed app with label 'admin'.
1
pycharm启动出错,Entry META-INF/PlatformLangXmlPlugin.xml not found in /lib/pycharm.jar
1
PyCharm中报错ModuleNotFoundError: No module named 'numpy'怎么解决?
2
windows10系统使用pycharm创建项目时报错,有大佬解释一下吗?报错如下
0
pycharm运行mnist_show.py出现如下问题,
0
急,跪求pycharm跑yolov3-train.py报错
1
手写体识别激活总是报错是因为什么?
2
pycharm上面简单的python代码运行报错怎么解决?貌似是pycharm的环境没有配置好,跪求大神指点!
2
pycharm中无法导入numpy,求解原因?
1
利用conda install TensorFlow-gpu在win7上conda3.7版本上安装tensorflow后,测试时出现下面的问题
2
pycharm 打开摄像头失败
1
在Selenium IED里面导出的.py文件在pycharm运行浏览器调取不了
2
谁会啊,不胜感激。同时运行几个死循环的.py文件,设置pycharm允许同时运行除外,毕竟不利于用户体验。
1
pyinstaller打包后os.system("shutdown -s")命令失效,在pycharm中运行就没问题
1
pycharm上运行 os.system('clear')报错,‘clear'不是内部或外部命令,cmd运行还是一样的报错,是哪里出问题了?
1
pycharm打包exe执行代码中__import__和getattr反射动态加载,报ModuleNotFoundError错误